package gus05.entity.gus.app.find.findborder;



import javax.swing.BorderFactory;
import javax.swing.border.Border;

import gus05.framework.core.Entity;
import gus05.framework.features.Transform;



public class FindBorder implements Entity, Transform {


    public String getName()				{return "gus.app.find.findborder";}
    public String getCreationDate()		{return "2007.02.03";}

    
    
    

    public Object transform(Object obj) throws Exception
    {
        if(obj instanceof Border) return obj;
        if(obj instanceof String)return retrieveBorderFromString((String)obj);
        
        throw new Exception("Invalid type: "+obj.getClass().getName());
    }
    
    
    
    
    private Border retrieveBorderFromString(String text) throws Exception
    {
        text = text.toUpperCase();
        String[] n = text.split(" ");
        String type = n[0];
        
        if(type.equals("bevelborder")) return bevelBorder(n);
        
        throw new Exception("Unknown border type: "+type);
    }
    
    
    
    
    private Border bevelBorder(String[] info)
    {
        int type = Integer.parseInt(info[1]);
        return BorderFactory.createBevelBorder(type);
    }

}

