
package gus05.manager.gus.endorf.layer2.servicewrap;

import gus05.manager.gus.endorf.layer1.Source;
import gus05.manager.gus.endorf.layer2.EndorfSystem;


public class DefaultServiceWrap extends AbstractServiceWrap {

    private Source source;

    public DefaultServiceWrap(Source source, String key, Object target)
    {
        super(target);
        this.source = source;
    }

    
    protected void notAvailable1(String feature) throws Exception
    {throw new Exception(feature+" not available for "+source+" (="+EndorfSystem.sourceName(target)+")");}

    protected void notAvailable2(String feature) {}
    
    protected void featureStart(String feature, Object input)
    {EndorfSystem.featureStart(source,target,feature,input);}

    protected void featureEnd(String feature, Object output)
    {EndorfSystem.featureEnd(source,target,feature,output);}
}
