package gus05.entity.gus.graphic.textcomp.buildgui.panel3;


import java.awt.BorderLayout;

import javax.swing.Action;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JToolBar;
import javax.swing.text.JTextComponent;

import gus05.framework.core.Entity;
import gus05.framework.core.Outside;
import gus05.framework.core.Service;
import gus05.framework.features.Transform;



public class TextCompPanel3 implements Entity, Transform {


    public String getName()				{return "gus.graphic.textcomp.buildgui.panel3";}
    public String getCreationDate()		{return "2006.12.22";}


    private Service copyAll;
    
    

    public TextCompPanel3() throws Exception
    {
        copyAll = Outside.service(this,"gus.graphic.textcomp.action.copyall");
    }



    public Object transform(Object obj) throws Exception
    {
        JTextComponent comp = (JTextComponent) obj;
        Action copyAllAction = (Action) copyAll.transform(comp);
        
        JToolBar toolbar = new JToolBar();
        toolbar.setFloatable(false);
        toolbar.add(copyAllAction);
        
        /*
         * Aucune solution n'a encore t trouve pour imprimer correctement le contenu d'un JTextComponent avec le JDK1.5
         * Des mthodes adaptes apparaissent dans le JDK1.6
         */
        
        JPanel panel = new JPanel(new BorderLayout());
        panel.add(new JScrollPane(comp),BorderLayout.CENTER);
        panel.add(toolbar,BorderLayout.SOUTH);
       
        return panel;
    }

}

