package gus05.manager.gus.endorf.layer4.system2;


import gus05.manager.gus.endorf.layer1.organs.ResourceProvider;
import gus05.manager.gus.endorf.layer2.EndorfSystem;
import gus05.manager.gus.endorf.layer3.loading.Loader;
import gus05.manager.gus.endorf.layer4.providers.*;
import gus05.manager.gus.endorf.layer4.providers.data.*;
import gus05.manager.gus.endorf.layer4.providers.entity.*;
import gus05.manager.gus.endorf.layer4.providers.file.*;
import gus05.manager.gus.endorf.layer4.providers.process.*;
import gus05.manager.gus.endorf.layer4.providers.resource.*;
import gus05.manager.gus.endorf.layer4.providers.url.*;


public class Loader_providers  extends Loader {

    

    public Loader_providers()
    {super("resource providers");}
    
    
    protected void outsideLoad(){}
    
    protected void insideLoad()
    {
        load(System2.RESOURCEPROVIDER_ARG,new ResourceProvider_arg());
        load(System2.RESOURCEPROVIDER_BOOLEAN,new ResourceProvider_boolean());
        load(System2.RESOURCEPROVIDER_CLASS,new ResourceProvider_class());
        load(System2.RESOURCEPROVIDER_COLOR,new ResourceProvider_color());
        load(System2.RESOURCEPROVIDER_DOUBLE,new ResourceProvider_double());
        load(System2.RESOURCEPROVIDER_INTEGER,new ResourceProvider_integer());
        load(System2.RESOURCEPROVIDER_LONG,new ResourceProvider_long());
        load(System2.RESOURCEPROVIDER_OBJECT,new ResourceProvider_object());
        load(System2.RESOURCEPROVIDER_OBJECT2,new ResourceProvider_object2());
        load(System2.RESOURCEPROVIDER_STRING,new ResourceProvider_string());
        load(System2.RESOURCEPROVIDER_SYSTEMENV,new ResourceProvider_systemenv());
        load(System2.RESOURCEPROVIDER_SYSTEMPROP,new ResourceProvider_systemprop());
        
        load(System2.RESOURCEPROVIDER_URL,new ResourceProvider_url());
        load(System2.RESOURCEPROVIDER_URLSTRING,new ResourceProvider_url_string());
        load(System2.RESOURCEPROVIDER_URLSTRINGARRAY,new ResourceProvider_url_stringarray());
        
        load(System2.RESOURCEPROVIDER_FILE,new ResourceProvider_file());
        load(System2.RESOURCEPROVIDER_FILE0,new ResourceProvider_file0());
        load(System2.RESOURCEPROVIDER_FILE2,new ResourceProvider_file2());
        load(System2.RESOURCEPROVIDER_FILE2A,new ResourceProvider_file2a());
        load(System2.RESOURCEPROVIDER_DIR,new ResourceProvider_dir());
        load(System2.RESOURCEPROVIDER_DIR0,new ResourceProvider_dir0());
        load(System2.RESOURCEPROVIDER_FILESTRING,new ResourceProvider_file_string());
        load(System2.RESOURCEPROVIDER_FILESTRINGARRAY,new ResourceProvider_file_stringarray());
        
        load(System2.RESOURCEPROVIDER_ENTITYGUI,new ResourceProvider_entity_gui());
        load(System2.RESOURCEPROVIDER_ENTITYPROVIDE,new ResourceProvider_entity_provide());
        load(System2.RESOURCEPROVIDER_ENTITYRETRIEVE,new ResourceProvider_entity_retrieve());
        load(System2.RESOURCEPROVIDER_ENTITYRETRIEVE2,new ResourceProvider_entity_retrieve2());
        load(System2.RESOURCEPROVIDER_ENTITYTRANSFORM,new ResourceProvider_entity_transform());
        load(System2.RESOURCEPROVIDER_ENTITY,new ResourceProvider_entity());
        load(System2.RESOURCEPROVIDER_ENTITYNEW,new ResourceProvider_entityNew());
        load(System2.RESOURCEPROVIDER_ENTITYUNIQUE,new ResourceProvider_entityUnique());
        
        load(System2.RESOURCEPROVIDER_ACTIONBUILDER,new ResourceProvider_actionBuilder());
        load(System2.RESOURCEPROVIDER_ICON,new ResourceProvider_icon());
        load(System2.RESOURCEPROVIDER_ICONPROVIDER,new ResourceProvider_iconProvider());
        load(System2.RESOURCEPROVIDER_INTERNAL,new ResourceProvider_internal());
        load(System2.RESOURCEPROVIDER_OUT,new ResourceProvider_out());
        load(System2.RESOURCEPROVIDER_PERSISTENCE,new ResourceProvider_persistence());
        load(System2.RESOURCEPROVIDER_PROPERTY,new ResourceProvider_property());
        load(System2.RESOURCEPROVIDER_STRING2,new ResourceProvider_string2());
        
        load(System2.RESOURCEPROVIDER_DATADOCUMENT,new ResourceProvider_data_document());
        load(System2.RESOURCEPROVIDER_DATALIST,new ResourceProvider_data_list());
        load(System2.RESOURCEPROVIDER_DATASET,new ResourceProvider_data_set());
        load(System2.RESOURCEPROVIDER_DATATREE,new ResourceProvider_data_tree());
        load(System2.RESOURCEPROVIDER_DATAMAP,new ResourceProvider_data_map());
        load(System2.RESOURCEPROVIDER_DATAMAP0,new ResourceProvider_data_map0());
        load(System2.RESOURCEPROVIDER_DATAMAP_GET,new ResourceProvider_data_map_get());
        load(System2.RESOURCEPROVIDER_DATAMAP_KEYSET,new ResourceProvider_data_map_keyset());
        load(System2.RESOURCEPROVIDER_DATAMAP_WRAPPING,new ResourceProvider_data_map_wrapping());
        load(System2.RESOURCEPROVIDER_LISTING,new ResourceProvider_listing());
        
        load(System2.RESOURCEPROVIDER_PROCESS_FILTER,new ResourceProvider_process_filter());
        load(System2.RESOURCEPROVIDER_PROCESS_GIVE,new ResourceProvider_process_give());
        load(System2.RESOURCEPROVIDER_PROCESS_GUI,new ResourceProvider_process_gui());
        load(System2.RESOURCEPROVIDER_PROCESS_PROVIDE,new ResourceProvider_process_provide());
        load(System2.RESOURCEPROVIDER_PROCESS_REGISTER,new ResourceProvider_process_register());
        load(System2.RESOURCEPROVIDER_PROCESS_RETRIEVE,new ResourceProvider_process_retrieve());
        load(System2.RESOURCEPROVIDER_PROCESS_TRANSFORM,new ResourceProvider_process_transform());
        
        load(System2.RESOURCEPROVIDER_COMBINE_GIVE,new ResourceProvider_combine_give());
        load(System2.RESOURCEPROVIDER_COMBINE_EXECUTE,new ResourceProvider_combine_execute());
        load(System2.RESOURCEPROVIDER_COMBINE_TRANSFORM,new ResourceProvider_combine_transform());
        
        load(System2.RESOURCEPROVIDER_WRAP_EXECUTE,new ResourceProvider_wrap_execute());
        load(System2.RESOURCEPROVIDER_WRAP_FILTER,new ResourceProvider_wrap_filter());
        load(System2.RESOURCEPROVIDER_WRAP_GUI,new ResourceProvider_wrap_gui());
        load(System2.RESOURCEPROVIDER_WRAP_PROVIDE,new ResourceProvider_wrap_provide());
    }
    
    
    
    
    
    
    
    private void load(String key, ResourceProvider provider)
    {
        EndorfSystem.putProvider(key,provider);
        if(System2.booleanProperty_false(System2.PROPKEY_DEBUGPROVIDERS))
            debug("load(String,ResourceProvider)","loading "+key);
        increase();
    }
}
